
@import url('https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&family=Oswald:wght@200..700&family=Roboto:ital,wght@0,100..900;1,100..900&display=swap');
/*
.roboto-<uniquifier> {
    font-family: "Roboto", serif;
    font-optical-sizing: auto;
    font-weight: <weight>;
    font-style: normal;
    font-variation-settings:
      "wdth" 100;
  }


.oswald-<uniquifier> {
  font-family: "Oswald", serif;
  font-optical-sizing: auto;
  font-weight: <weight>;
  font-style: normal;
}
  */

:root {
    --prim-zold: #4f8156;
    --prim-kek: #346587;
    --neutral-sotet: #caccd0;
    --neutral-light: #f4eef1;
    --accent-pink: #c0777c;
    --text-barna: #342719; 
  }

html,
body {
    margin: 0;
    padding: 0;
    background-color: var(--neutral-light) ;
}

a {
    text-decoration: none;
}

@keyframes fadeInSlide {
    0% {
      opacity: 0;
    }
    100% {
      opacity: 1;
    }
  }

/* Az egész oldal enyhén elhomályosul, ha a felhasználó még nem verifikált */
body.age-not-verified {
    opacity: 0.6;
  }
  
  /* Age Verification Overlay stílusok */
  .age-verification-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    background: rgba(0, 0, 0, 0.9);
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 9999;
  }
  
  .age-verification-dialog {
    background: var(--neutral-light);
    padding: 20px;
    border-radius: 8px;
    width: 80%;
    margin: auto;
    max-width: 400px;
    font-weight: 600;
    text-align: center;
    font-family: 'Inter';
    color: var(--text-barna);
  }
  


header {
    width: 100%;
    height: 70px;
    display: flex;
    align-items: center;
    justify-content: space-around;
    background: var(--neutral-light);
    color: var(--text-barna);
}
a > .logo {
    width: 75%;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
}

a > .logo > img {
  height: 60px;
  width: auto;
  mix-blend-mode: multiply;
}

.logotxt {
    letter-spacing: 3px;
    font-family: 'Oswald';
    font-weight: 700;
    text-decoration: none;
    color: #342719;
}
.nav {
    justify-content: space-around;
    width: 50%;
    margin: 0;
    background: var(--neutral-sotet);
    position: absolute;
    right: -100%;
    top: 70px;
    height: calc(100% - 70px);
    flex-direction: column;
    padding: 0;
    display: none;
}
.navlink {
    display: flex;
    align-items: center;
    justify-content: center;
    list-style: none;
    margin: 0;
    font-family: 'Oswald';
    font-weight: 300;
    letter-spacing: 3px;
    height: 50px;

}
.navlink a {
    color: var(--text-barna);
    text-decoration: none;
    font-size: 1.5em;
    text-align: center;
}

.navlink a:hover {
    border-bottom: var(--prim-kek) 2px solid;
    padding-bottom: 10px;
}

.burger {
    font-size: 1.8em;
    display: block;
}
.nav-active {
    right: 0;
    display: flex;
    transition: all 400ms;
    z-index: 9999;
}

.hero {
    margin: 0 auto;
    padding: 10px;
    display: flex;
    flex-direction: column;
    width: 99%;
}

.hero-txt {
    display: flex;
    flex-direction: column;
    padding: 30px 10px 0px 10px;
    width: 95%;
}

.hero-big {
    font-family: 'Roboto';
    font-weight: 900;
    color: var(--text-barna);
    font-size: 3.2rem;
    padding-bottom: 20px;
   
}
.sec-big {
    color: var(--prim-zold);
}

.hero-sec {
    font-family: 'Roboto';
    font-weight: 400;
    color: var(--text-barna);
    font-size: 1.2rem;
}

.hero-btns {
    width: 90%;
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    align-items: center;
}

.prim-btn {
    outline: none;
    border: none;
    background-color: var(--prim-kek);
    border-radius: 15px;
    padding: 10px 20px;
    height: 50px;
    width: fit-content;
    color: var(--neutral-light);
    font-family: 'Roboto';
    font-weight: 800;
    letter-spacing: 2px;
    font-size: 1.2rem;
    margin: 20px 10px;
}

.prim-btn:hover {
    border: var(--prim-kek) 1px solid;
    color: var(--prim-kek);
    font-weight: 800;
    background-color: transparent;
    cursor: pointer;
}

.sec-btn {
    outline: none;
    border: none;
    background-color: transparent;
    border-radius: 15px;
    padding: 5px 10px;
    height: 50px;
    width: fit-content;
    color: var(--prim-kek);
    font-family: 'Roboto';
    font-weight: 600;
    letter-spacing: 2px;
    font-size: 1.2rem;
    margin: 20px 10px;
}

.sec-btn:hover{
    border-bottom: var(--prim-kek) 2px solid;
    cursor: pointer;
    border-radius: 0;
}

.prim-btn-sm {
    outline: none;
    border: none;
    background-color: var(--prim-kek);
    border-radius: 15px;
    height: fit-content;
    padding: 8px 20px;
    width: fit-content;
    color: var(--neutral-light);
    font-family: 'Roboto';
    font-weight: 800;
    letter-spacing: 2px;
    font-size: 1rem;
}

.prim-btn-sm:hover{
    border: var(--prim-kek) 1px solid;
    color: var(--prim-kek);
    font-weight: 800;
    background-color: transparent;
    cursor: pointer;
}

.sec-btn-sm {
    outline: none;
    border: none;
    background-color: transparent;
    border-radius: 15px;
    padding: 0px 20px;
    height: 35px;
    width: fit-content;
    color: var(--prim-kek);
    font-family: 'Roboto';
    font-weight: 600;
    letter-spacing: 2px;
    font-size: 1rem;
}

.sec-btn-sm:hover{
    border-bottom: var(--prim-kek) 2px solid;
    cursor: pointer;
    border-radius: 0;
}

.hero-img {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 95%;
}

.hero-img > img {
    width: 100%;
    height: auto;
}

.alapok, .szezonalis {
    width: 99%;
    padding-bottom: 15px;
}

.alapok {
    background-color: var(--neutral-light);
}

.szezonalis {
    background-color: var(--neutral-sotet);
}

.alap-kateg {
    font-family: 'Oswald';
    font-size: 1.2rem;
    color: var(--text-barna);
    font-weight: 700;
    letter-spacing: 1.3px;
}

#alap-cards, #szezon-cards {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    align-items: flex-start;
    gap: 10px; /* Kártyák közötti térköz */
}

.flex-column {
    display: flex;
    flex-direction: column;
    gap: 2px;
    width: 45%;
}

.beer-card {
    width: 45%;
    margin: 2px 1px;
    border-radius: 15px;
    border: 3px solid var(--neutral-sotet);
    height: fit-content;
    scroll-snap-align: start;
    box-shadow: #7487947a 1px 1px 10px;
    background-color: var(--neutral-light);
}

.beer-pic {
    width: 99%;
    height: 150px;
    margin: 2px auto;
    overflow: hidden; /* Megakadályozza a túlcsordulást */
    position: relative;
}

.parallax-img {
    width: 125%;
    height: 125%;
    position: absolute;
    top: -25%;
    left: -10%;
    transform: translate(0, 0);
    transition: transform 0.s ease-out, opacity 0.3s ease;
    opacity: 0; /* Alapból rejtett */
    object-fit: cover;
}

.parallax-img.in-view {
    opacity: 1; /* Amikor látható, megjelenik */
    transform: translate(-50%, 5%);
}

.beer-prod {
    font-family: 'Roboto';
    font-weight: 500;
    color: var(--prim-kek);
    font-size: 0.8rem;
    margin: 2px;
}

.beer-nev {
    margin: 2px 5px;
}

.beer-nev > a {
    font-family: 'Roboto';
    color: var(--text-barna);
    font-weight: 900;
    font-size: 1.3rem;
    text-decoration: none;
}

.beer-desc, .beer-alk {
    font-family: 'Roboto';
    color: var(--prim-kek);
    font-weight: 500;
    font-size: 0.9rem;
    margin: 2px;
}

.beer-kiszer {
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    align-items: center;
    margin: 2px;

}

.kisz-txt {
    color: var(--prim-zold);
    font-family: 'Roboto';
    font-weight: 500;
    width: 30%;
    font-size: 0.8rem;
}
.kiszerek {
    height: 35px;
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    align-items: center;
}
.kiszerek > img {
    width: auto;
    height: 30px;
}

.beer-btns {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}


footer {
    width: 95%;
    display: flex;
    flex-direction: row;
    margin: auto;
}

.elsosor {
    width: 50%;
    display: flex;
    flex-direction: column;
    font-family: 'Oswald';
}
.nagylogo {
    width: 100%;
}

.nagylogo > img {
    width: 95%;
    mix-blend-mode: multiply;
}

.elsoszoveg {
    color: var(--text-barna);
    font-weight: 800;
    font-size: 0.8rem;
    padding: 5px;
}

.masodiksor {
    width: 50%;
    display: flex;
    flex-direction: column;
    gap: 10px;
    padding: 5px;
    font-family: 'Oswald';
}

.masodikszoveg {
    font-weight: 500;
    font-size: 1rem;
    color: var(--prim-zold);
}

.contacti {
    font-weight: 600;
    color: var(--prim-kek);
    font-size: 1.3rem;
}

.contacte {
    color: var(--text-barna);
    font-weight: 800;
    font-size: 1.3rem;
}

.big-cont {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
}

.szurok {
  display: none;
}

#opdenFilterModal {
    display: flex;
}

#filterModal {
    display: none;
    position: absolute;
    top: 40%;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.5);
    z-index: 9999;
    justify-content: center;
    align-items: center;

}

.modal-content {
    padding: 20px;
    border-radius: 8px;
    width: 400px;
    max-width: 85%;
    position: relative;
    background-color: var(--neutral-sotet);
    font-family: 'Inter';
    color: var(--text-barna);
    height: fit-content;
  }
  
  .close {
    position: absolute;
    top: 10px;
    right: 15px;
    font-size: 24px;
    cursor: pointer;
  }

  #openFilterModal {
    margin: 12px;
  }


  .szurok-mob > label {
    margin: 5px 6px;
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 8px;
}

input[type=checkbox] {
    -webkit-appearance: none;
  appearance: none;
  width: 30px;
  height: 30px;
  border: var(--accent-pink) 2px solid;
  border-radius: 4px; /* Ha kicsit lekerekítetted */
  outline: none;
  cursor: pointer;
  background-color: transparent; /* Alap háttérszín */
  position: relative;
}

input[type="checkbox"]:checked {
    background-color: #342719;
    border: var(--neutral-light);
}

/* Bejelölés ikonjának megjelenítése */
input[type="checkbox"]:checked::after {
    content: "";
    position: absolute;
    left: 11px;
    top: 5px;
    width: 6px;
    height: 14px;
    border: solid white;
    border-width: 0 2px 2px 0;
    transform: rotate(45deg);
  }

  #terms {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    align-items: flex-start;
  }
















/*Asztali nézet -----------------------------------------------------------------------------------------------------------------------**/
/*Asztali nézet -----------------------------------------------------------------------------------------------------------------------**/
@media screen and (min-width: 900px) {
    .burger {
        display: none;
    }
    .logo {
        width: 30%;
        display: flex;
    }
    .nav {
        width: 60%;
        display: flex;
        flex-direction: row;
        position: relative;
        right: auto;
        top: auto;
        height: auto;
        background-color: var(--neutral-light);
        z-index: 9999;
    }
    .navlink a{
        color: var(--text-barna);
        font-family: 'Oswald';
    }

    .hero {
        flex-direction: row;
    }

    .hero-txt {
        width: 45%;
    }

    .hero-big {
        font-size: 4rem;
        padding-left: 5%;
        padding-right: 25%;
        padding-top: 5%;
    }
    .hero-sec {
        padding-left: 5%;
        font-size: 1.5rem;
    }


    .hero-img {
        width: 50%;
    }

    .hero-btns {
        padding-left: 5%;
    }

   
.alapok, .szezonalis {
    width: 99%;
    padding-bottom: 15px;
}

.alapok {
    background-color: var(--neutral-light);
}

.szezonalis {
    background-color: var(--neutral-sotet);
}

.alap-kateg {
    font-family: 'Oswald';
    font-size: 1.2rem;
    color: var(--text-barna);
    font-weight: 700;
    letter-spacing: 1.3px;
}

#alap-cards, #szezon-cards {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    align-items: flex-start;
    gap: 10px; /* Kártyák közötti térköz */
}

.flex-column {
    display: flex;
    flex-direction: row;
    gap: 2px;
    width: 85%;
}

.notalal {
    font-family: 'Inter';
    font-weight: 700;
    font-size: 1.5rem;
    color: var(--text-barna);
    margin: 20px auto;
}

.beer-card {
    width: 23%;
    margin: 2px 1px 5px 1px;
    border-radius: 15px;
    border: 3px solid var(--neutral-sotet);
    height: fit-content;
    scroll-snap-align: start;
    box-shadow: #7487947a 1px 1px 10px;
    background-color: var(--neutral-light);
}


.beer-pic {
    width: 99%;
    height: 150px;
    margin: 2px auto;
    overflow: hidden; /* Megakadályozza a túlcsordulást */
    position: relative;
}

.parallax-img {
    width: 130%;
    height: 130%;
    position: absolute;
    top: -35%;
    transform: translate(0, 0);
    transition: transform 0.s ease-out, opacity 0.3s ease;
    opacity: 0; /* Alapból rejtett */
    object-fit: cover;
}

.parallax-img.in-view {
    opacity: 1; /* Amikor látható, megjelenik */
    transform: translate(0, 5%);
}

.beer-prod {
    font-family: 'Roboto';
    font-weight: 500;
    color: var(--prim-kek);
    font-size: 1rem;
    margin: 12px 6px;
}

.beer-nev {
    margin: 12px 6px;
}

.beer-nev > a {
    font-family: 'Roboto';
    color: var(--text-barna);
    font-weight: 900;
    font-size: 1.5rem;
    text-decoration: none;
}

.beer-desc, .beer-alk {
    font-family: 'Roboto';
    color: var(--prim-kek);
    font-weight: 500;
    font-size: 1.1rem;
    margin: 12px 6px;
}

.beer-kiszer {
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    align-items: center;
    margin: 12px 6px;

}

.kisz-txt {
    color: var(--prim-zold);
    font-family: 'Roboto';
    font-weight: 500;
    width: 30%;
    font-size: 1rem;
}
.kiszerek {
    height: 55px;
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    align-items: center;
}
.kiszerek > img {
    width: auto;
    height: 50px;
}

.beer-btns {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    padding: 2px 4px;
    margin: 12px 6px;
    width: 90%;
}

footer {
    width: 95%;
    display: flex;
    flex-direction: row;
    margin: auto;
}

.elsosor {
    width: 50%;
    display: flex;
    flex-direction: column;
    font-family: 'Oswald';
}
.nagylogo {
    width: 50%;
}

.nagylogo > img {
    width: 95%;
    mix-blend-mode: multiply;
}

.elsoszoveg {
    color: var(--text-barna);
    font-weight: 800;
    font-size: 1.2rem;
    padding: 5px;
}

.masodiksor {
    width: 50%;
    display: flex;
    flex-direction: column;
    gap: 10px;
    padding: 5px;
    font-family: 'Oswald';
}

.masodikszoveg {
    font-weight: 500;
    font-size: 1.5rem;
    color: var(--prim-zold);
}

.contacti {
    font-weight: 600;
    color: var(--prim-kek);
    font-size: 1.8rem;
}

.contacte {
    color: var(--text-barna);
    font-weight: 800;
    font-size: 2.2rem;
}

.szurok {
    min-width: 10%;
    max-width: 12%;
    min-height: 80svh;
    height: fit-content;
    background-color: var(--neutral-sotet);
    padding: 20px;
    margin: 20px 0;
    font-family: 'Inter';
    color: #342719;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: flex-start;
}

.szurok-mob {
    display: none;
}

/* Amikor frissítjük a szűrőket, hozzáadjuk az animate osztályt */
.szurok.animate {
    animation: fadeInSlide 0.2s ease-in-out;
  }

#terms.animate {
    animation: fadeInSlide 0.6s ease-in-out;
}

.szurok > label {
    margin: 5px 6px;
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 8px;
}

input[type=checkbox] {
    -webkit-appearance: none;
  appearance: none;
  width: 30px;
  height: 30px;
  border: var(--accent-pink) 2px solid;
  border-radius: 4px; /* Ha kicsit lekerekítetted */
  outline: none;
  cursor: pointer;
  background-color: transparent; /* Alap háttérszín */
  position: relative;
}

input[type="checkbox"]:checked {
    background-color: #342719;
    border: var(--neutral-light);
}

/* Bejelölés ikonjának megjelenítése */
input[type="checkbox"]:checked::after {
    content: "";
    position: absolute;
    left: 11px;
    top: 5px;
    width: 6px;
    height: 14px;
    border: solid white;
    border-width: 0 2px 2px 0;
    transform: rotate(45deg);
  }


#terms {
    width: 80%;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    gap: 3px;
    padding: 20px;
}

.big-cont {
    width: 99%;
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    align-items: flex-start;

}

#filterModal {
    display: none;
}

#openFilterModal {
    display: none;
}





    }